package cn.ysk.cashier.mybatis.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * 订单支付展示(TbOrderPayment)表实体类
 *
 * @author ww
 * @since 2024-05-21 13:55:18
 */
@SuppressWarnings("serial")
public class TbOrderPayment extends Model<TbOrderPayment> {
    //主键
    private Integer id;
    //支付方式Id
    private String payTypeId;
    //实际支付金额
    private Double amount;

    private Double paidAmount;
    //退款金额
    private Double hasRefundAmount;
    //支付方式名称
    private String payName;
    //支付方式
    private String payType;
    //收款
    private Double received;
    //找零
    private Double changeFee;
    //商户Id
    private String merchantId;
    //店铺Id
    private String shopId;
    //结算单号
    private String billingId;

    private String orderId;

    private String authCode;

    private String refundable;

    private Long createdAt;

    private Long updatedAt;

    private String tradeNumber;
    //会员Id
    private String memberId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPayTypeId() {
        return payTypeId;
    }

    public void setPayTypeId(String payTypeId) {
        this.payTypeId = payTypeId;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Double getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Double paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Double getHasRefundAmount() {
        return hasRefundAmount;
    }

    public void setHasRefundAmount(Double hasRefundAmount) {
        this.hasRefundAmount = hasRefundAmount;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public Double getReceived() {
        return received;
    }

    public void setReceived(Double received) {
        this.received = received;
    }

    public Double getChangeFee() {
        return changeFee;
    }

    public void setChangeFee(Double changeFee) {
        this.changeFee = changeFee;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getBillingId() {
        return billingId;
    }

    public void setBillingId(String billingId) {
        this.billingId = billingId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getRefundable() {
        return refundable;
    }

    public void setRefundable(String refundable) {
        this.refundable = refundable;
    }

    public Long getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Long createdAt) {
        this.createdAt = createdAt;
    }

    public Long getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Long updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getTradeNumber() {
        return tradeNumber;
    }

    public void setTradeNumber(String tradeNumber) {
        this.tradeNumber = tradeNumber;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

}

